#### Description:

This function stores an undefined value for a named keyword within a FitsChan at the current card position. The new undefined value can either over-write an existing keyword value, or can be inserted as a new header card into the FitsChan.

#### Synopsis

void astSetFitsU( AstFitsChan ∗this, const char ∗name, const char ∗comment, int overwrite )

#### Parameters:

##### this

Pointer to the FitsChan.

##### name

Pointer to a null-terminated character string containing the FITS keyword name. This may be a complete FITS header card, in which case the keyword to use is extracted from it. No more than 80 characters are read from this string.

##### comment

A pointer to a null terminated string holding a comment to associated with the keyword. If a NULL pointer or a blank string is supplied, then any comment included in the string supplied for the `"` name`"` parameter is used instead. If `"` name`"` contains no comment, then any existing comment in the card being over-written is retained. Otherwise, no comment is stored with the card.

##### overwrite

If non-zero, the new card formed from the supplied keyword name and comment string over-writes the current card, and the current card is incremented to refer to the next card (see the `"` Card`"` attribute). If zero, the new card is inserted in front of the current card and the current card is left unchanged. In either case, if the current card on entry points to the `"` end-of-file`"` , the new card is appended to the end of the list.

#### Notes:

- If, on exit, there are no cards following the card written by this function, then the current card is left pointing at the `"` end-of-file`"` .

- An error will be reported if the keyword name does not conform to FITS requirements.

Copyright (C) 2021 East Asian Observatory